// =====================================================
//
//   miniLA_win - Input number dialog
//
//   (c) miniLA Team
//
// =====================================================
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this package; see the file COPYING.  If not, write to
// the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.


unit dlgGetNum;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Spin;

type
  TfrmGetNum = class(TForm)
    SpinEdit1: TSpinEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    BitBtn3: TBitBtn;
    procedure BitBtn3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmGetNum: TfrmGetNum;

implementation

uses dlgMain;

{$R *.DFM}

procedure TfrmGetNum.BitBtn3Click(Sender: TObject);
begin
  if Caption='Set zoom' then begin
    frmMain.tbZoom.Position:=SpinEdit1.Value;
    frmMain.tbZoomChange(Sender);
  end else if Caption='Set position' then begin
    frmMain.ScrollBar2.Position:=SpinEdit1.Value;
    frmMain.ScrollBar2Change(Sender);
  end else ;
end;

end.
